using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Sample_Transliteration
{
    public partial class WebForm2 : System.Web.UI.Page
    {
        string CurSelectedLang;
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                string sList = GistTransServerControl1.GetSupportedLangList;
                string[] Langs = sList.Split(',');
                DropLangList.DataSource = sList.Split(',');
                DropLangList.DataBind();
            }
        }

        protected void btnFloatingKeyboard_Click(object sender, EventArgs e)
        {
            CurSelectedLang = DropLangList.SelectedValue.ToString();
            GistTransServerControl1.OpenFltKeyboard(CurSelectedLang);
        }

        protected void DropLangList_TextChanged(object sender, EventArgs e)
        {
            CurSelectedLang = DropLangList.SelectedValue.ToString();
            GistTransServerControl1.setDestLanguage(CurSelectedLang);
        }
    }
}